## ETBlight documentation

Updated for etblight 0.8x

ETBlight cvars
Shrubbot

New for ETBlight 0.8x

  cvars
  |  |  |

  GUID issues should be solved. Server will automatically generate an etkey if connecting player does not already have one.

  ### ETBlight cvars

g_throwSawWait [integer]

  How many seconds a player must wait between chainsaw throws.

  The minimum value for this setting is 0.2 seconds. This is to prevent an exploit where players can bind the mousewheel to /throwsaw so they can throw many saws within a very short time.

  Default is 2

g_thrownSawDamage [integer]

  Maximum amount of damage a thrown chainsaw will cause to an enemy. Actual amount of damage is random.

  Default is 90

g_chainsawKillSound [string]

  If a client was killed with a chainsaw, all players close to the killed player will hear this sound. Kills on teammates will be ignored and so this sound won't be played then

  Example

      set g_chainsawKillSound "sound/myfolder/leatherface.wav"

  Set this to "" to disable it.

  Default is ""

team_maxProtos [integer]
team_maxDestroyers [integer]
team_maxQ3X1s [integer]

  Use this to limit number of ETBlight weapons available for each team.
  f. ex. "set team_maxProtos 2" will allow 2 MN Proto rifles on each team before
  it becomes unavailable. Set it to 0 to completely disable the weapon.

  Default is -1 (unlimited)

g_dmgQ3X1 [integer]

  Amount of damage done by the Q3X1.

  Default is 8

g_blight [bitflag]

  This is a bitflag cvar that supports the following values:

  1
    Everything does double damage
    Default is 0

  ### Shrubbot

  shrubbot is an invention of Ryan Mannion. etpub tries to clone shubbot as accurately as possible, both in user interface and in the shrubbot configuration file (called "blightshrub.cfg" in the etblight distribution).

  Below are the shrubbot commands that etblight adds to the etpub collection and the corresponding flag to be used in the shrubbot config file to give permission to the command:

    COMMAND | FLAG | g_tyranny | USAGE | DESCRIPTION
    !babysit | F | YES | !babysit PLAYERNAME | Work in progress. A player that "has a babysitter" cannot commit suicide (/kill), cannot call certain votes. More restrictions will be implemented later.
    !gas | U | YES | !gas PLAYERNAME | ETBlight "!pants" command. Harmless fun-command that will make victims pants emit a dark thick smoke. If no name is specified then all players will start smoking.
    !unbabysit | F | YES | !unbabysit PLAYERNAME | remove babysitter-penalties from a player